Issue #13935 has been reported by rhenium (Kazuki Yamaguchi).

----------------------------------------
Bug #13935: Backport openssl v2.0.6
https://bugs.ruby-lang.org/issues/13935

* Author: rhenium (Kazuki Yamaguchi)
* Status: Closed
* Priority: Normal
* Assignee: 
* Target version: 
* ruby -v: 
* Backport: 2.2: UNKNOWN, 2.3: REQUIRED, 2.4: REQUIRED
----------------------------------------
ruby_2_4 maintainer:
The attached patch (0001-openssl-import-v2.0.6.patch) updates the bundled openssl gem to v2.0.6. It applies on top of current ruby_2_4 (r59914). The changes are already in trunk, as part of r59734, r59751, r59857, and r60013.

  https://github.com/ruby/openssl/compare/v2.0.5...v2.0.6


ruby_2_3 maintainer:
I think some of the changes in v2.0.6 worth backporting to Ruby 2.3 too. Please see the attached patch files (ruby_2_3-*.patch).

---Files--------------------------------
0001-openssl-import-v2.0.6.patch (144 KB)
ruby_2_3-0001-ssl-do-not-call-session_remove_cb-during-GC.patch (1.18 KB)
ruby_2_3-0002-ssl-remove-useless-call-to-rb_thread_wait_fd.patch (1.08 KB)
ruby_2_3-0003-ssl-prevent-SSLSocket-sysread-from-leaking-uninitial.patch (2.78 KB)
ruby_2_3-0004-ossl.c-use-struct-CRYPTO_dynlock_value-for-non-dynam.patch (3.38 KB)
ruby_2_3-0005-ossl.c-make-legacy-locking-callbacks-reentrant.patch (1.88 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>